# Generated by rust2rpm 23
%bcond_without check

%global crate sequoia-keyring-linter

Name:           rust-sequoia-keyring-linter
Version:        1.0.0
Release:        %autorelease
Summary:        Linter for keyrings

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keyring-linter
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude files that are only useful for upstream development
# * prevent manpages from getting installed twice
# * bump assert_cmd to 2.0.0
# * remove feature for Windows-specific cryptography
Patch:          sequoia-keyring-linter-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Linter for keyrings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-2.0 AND Apache-2.0 AND BSL-1.0 AND MIT AND Unicode-DFS-2016

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq-keyring-linter
%{_mandir}/man1/sq-keyring-linter*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav sq-keyring-linter.1 %{buildroot}/%{_mandir}/man1/

%if %{with check}
%check
# * skip a test that should fail but unexpectedly succeeds
%cargo_test -- -- --skip integration::sha1_authentication_subkey
%endif

%changelog
%autochangelog
